# wxGridCellDateTimeRenderer Class Reference
[Grid Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridCellDateTimeRenderer:
[legend]

## Detailed Description

This class may be used to format a date/time data in a cell.

The class wxDateTime is used internally to display the local date/time or to parse the string date entered in the cell thanks to the defined format.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellEnumRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions

| wxGridCellDateTimeRenderer (const wxString &outformat=wxDefaultDateTimeFormat, const wxString &informat=wxDefaultDateTimeFormat)
| Date/time renderer constructor.
virtual void | SetParameters (const wxString &params)
| Sets the strptime()-like format string which will be used to parse the date/time.

List of all members.

## Constructor & Destructor Documentation

wxGridCellDateTimeRenderer::wxGridCellDateTimeRenderer | ( | const wxString & | outformat = `wxDefaultDateTimeFormat`,
|  | const wxString & | informat = `wxDefaultDateTimeFormat` |
| ) |  |  |

Date/time renderer constructor.

Parameters:

  | outformat | strptime()-like format string used the parse the output date/time.
  | informat | strptime()-like format string used to parse the string entered in the cell.

## Member Function Documentation

virtual void wxGridCellDateTimeRenderer::SetParameters | ( | const wxString & | params | ) | `[virtual]`

Sets the strptime()-like format string which will be used to parse the date/time.

Parameters:

  | params | strptime()-like format string used to parse the date/time.

|  | [ top ]